/**
 * @file hv_mw_Video_Interrupt.h
 * @brief Header file of dpu interrupt.
 * 
 * @verbatim
 * ==============================================================================
 *                        ##### How to use #####
 * ==============================================================================
 * 
 * 
 * @endverbatim
 *
 * @author HiView SoC Software Team
 * @version 1.0.0
 * @date 2022-08-10
 */
#ifndef __SDK_MIDDLEWARE_RUNTIME_SYSTEMMANAGER_CHANNEL_MANAGER_INC_DPU_INTERRUPT_H__
#define __SDK_MIDDLEWARE_RUNTIME_SYSTEMMANAGER_CHANNEL_MANAGER_INC_DPU_INTERRUPT_H__

#include "hv_comm_DataType.h"
#include "hv_comm_Define.h"
#include "hv_comm_Event.h"



Status Hv_Mw_Mute_Interrupt_Init();

Status Hv_Mw_Dpu_Interrupt_Init();


/*for video interrupt debug use*/
DisplayInterrupt* Hv_Mw_Video_GetDisplayInterrupt();

/*for video interrupt debug use*/
VOID Hv_Mw_Video_ClearDisplayInterrupt();

VOID Hv_Mw_Mute_Interrupt_Enable(ChannelType enChannelType);

VOID Hv_Mw_Mute_Interrupt_Disable(ChannelType enChannelType);
#endif
